##### Apply using "patch -p1" ######

diff -u -r -b --exclude-from=diff.excl 0173/src/bogoconfig.c cvs/src/bogoconfig.c
--- 0173/src/bogoconfig.c	2004-03-18 17:49:44.000000000 -0500
+++ cvs/src/bogoconfig.c	2004-03-18 16:05:56.000000000 -0500
@@ -1,4 +1,4 @@
-/* $Id: bogoconfig.c,v 1.167 2004/03/05 15:27:56 m-a Exp $ */
+/* $Id: bogoconfig.c,v 1.170 2004/03/18 21:05:56 relson Exp $ */
 
 /*****************************************************************************
 
@@ -206,9 +206,6 @@
 
     stats_prefix= stats_in_header ? "  " : "# ";
 
-    if (DEBUG_CONFIG(0))
-	fprintf(dbgout, "stats_prefix: '%s'\n", stats_prefix);
-
     return;
 }
 
@@ -470,8 +467,12 @@
 	break;
 
     case 'c':
-	if (pass == PASS_1_CLI)
-	    read_config_file(val, false, !quiet, PR_CFG_USER);
+	if (pass == PASS_1_CLI) {
+	    if (!read_config_file(val, false, !quiet, PR_CFG_USER)) {
+		fprintf(stderr, "Cannot open %s: %s\n", val, strerror(errno));
+		exit(EX_ERROR);
+	    }
+	}
 
 	/*@fallthrough@*/
 	/* fall through to suppress reading config files */
@@ -713,6 +714,6 @@
 
     fprintf(stdout, "%s =", label);
     for (i = 0; i < count; i += 1)
-	fprintf(stdout, "%s ", array[i]);
+	fprintf(stdout, "%s %s", (i == 0) ? "" : ",", array[i]);
     fprintf(stdout, "\n");
 }
diff -u -r -b --exclude-from=diff.excl 0173/src/configfile.c cvs/src/configfile.c
--- 0173/src/configfile.c	2004-03-18 17:49:44.000000000 -0500
+++ cvs/src/configfile.c	2004-03-18 15:55:42.000000000 -0500
@@ -1,4 +1,4 @@
-/* $Id: configfile.c,v 1.44 2004/03/15 17:35:44 relson Exp $ */
+/* $Id: configfile.c,v 1.45 2004/03/18 20:55:42 relson Exp $ */
 
 /*****************************************************************************
 
@@ -129,7 +129,6 @@
     fp = fopen(filename, "r");
 
     if (fp == NULL) {
-	fprintf(stderr, "Cannot open %s: %s\n", filename, strerror(errno));
 	xfree(filename);
 	return false;
     }
diff -u -r -b --exclude-from=diff.excl 0173/src/tests/t.bulkmode cvs/src/tests/t.bulkmode
--- 0173/src/tests/t.bulkmode	2004-03-18 17:49:45.000000000 -0500
+++ cvs/src/tests/t.bulkmode	2004-03-18 17:47:37.000000000 -0500
@@ -28,14 +28,10 @@
     )
 }
 
-mth="f"
-
-CFG="-c ${TMPDIR}/cfg.$mth -y 0"
-
 if [   -d $BOGOFILTER_DIR ] ; then rm -f $BOGOFILTER_DIR/* ; else : ; fi
 mkdir -p $BOGOFILTER_DIR
-$BOGOFILTER -$mth $CFG -s < ${SYSTEST}/inputs/spam.mbx
-$BOGOFILTER -$mth $CFG -n < ${SYSTEST}/inputs/good.mbx
+$BOGOFILTER -C -s < ${SYSTEST}/inputs/spam.mbx
+$BOGOFILTER -C -n < ${SYSTEST}/inputs/good.mbx
 #for f in $BOGOFILTER_DIR/*.${DB_EXT} ; do
 #    o=`echo $f | sed s@.${DB_EXT}@.txt@`
 #    $BOGOUTIL -d $f > $o
